package com.ruoyi.tc.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.ruoyi.tc.entity.AssetBasicNetwork;
import com.ruoyi.tc.entity.response.AssetBasicNetworkCpResponse;

import java.util.List;

/**
 * 资产基础网络复制表(asset_basic_network)表服务接口
 *
 * @author makejava
 * @since 2024-11-15 16:05:26
 */
public interface AssetBasicNetworkCpService extends IService<AssetBasicNetworkCpResponse> {

    /**
     * 根据资产id资产供应链原有id
     *
     * @param assetId 资产id
     * @return
     */
    List<AssetBasicNetworkCpResponse> findByassetId(Long assetId);

}
